<!-- <ion-header>
  <ion-toolbar>
    <ion-title>login</ion-title>
  </ion-toolbar>
</ion-header> -->

<ion-content>
  <form [formGroup]="loginform">
    <br><br>
    <h2 class="welcome">&nbsp;&nbsp;&nbsp;&nbsp;Welcome!</h2>
    <p routerLink="/tabs" class="textdesc">
      &nbsp;&nbsp;&nbsp;&nbsp;Discover the new OLX
    </p>
    <div class="arrangespace">
    <ion-item lines="none">
      <ion-input type="number" autofocus placeholder="9999999999" formControlName="phone" required
        style="border-bottom: 1px solid #a88787; margin-left: 2px; color: hsl(0, 0%, 0%); text-align: left;">
      </ion-input>
    </ion-item>
    <ion-item lines="none">
      <ion-button size="small" slot="end" color="warning" type="submit" (click)="sendotp()">Send OTP</ion-button>
      <ion-input type="number" placeholder="1 2 3 4 5 6 " formControlName="otp" required
        style="border-bottom: 1px solid #a88787; margin-left: 2px; color: hsl(0, 0%, 0%); text-align: left;">
      </ion-input>
    </ion-item>
    <div id="recaptcha-container"></div>
    <div padding class="divspace">
      <ion-button size="small" type="submit" class="login" fill="clear" (click)="verifyOtp()" expand="block">Login</ion-button>
    </div>
  </div>

  <div class="ordiv">
    <h3 class="or">Or</h3>
  </div>
    <div padding class="divpad">
      <ion-button size="small" class="gmail" expand="block" shape="round" fill="clear" (click)="googleLogin()">
        <p class="btntext">Login with Google</p>
      </ion-button>
    </div>
    <div padding class="divpad">
      <ion-button size="small" class="facebook" expand="block" shape="round" fill="clear" (click)="facebookLogin()">
        <p class="btntext">Login with Facebook</p>
      </ion-button>
    </div>

    <div padding class="divpad">
      <ion-button size="small" class="github" expand="block" shape="round" fill="clear" (click)="githubLogin()">
        <p class="btntext">Login with GitHub</p>
      </ion-button>
    </div>
  </form>
</ion-content>